<?php
/*
Plugin Name: GA Reader Scaner
Plugin URI: http://iworks.pl/
Description: Skrytp mierzy zaangażowanie użytkowników, zarówno za pomocą wbudowanych raportów GA, jak i dodatkowych skryptów. Zobacz opis: <a href="http://critical.pl/sledzenie-zaangazowania-uzytkownikow/?utm_source=wordpress&utm_medium=plugin&utm_campaign=ga_reader_scaner">Śledzenie zaangażowania użytkowników (js)</a>
Version: trunk
Author: Marcin Pietrzak
Author URI: http://iworks.pl/
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

/*

Copyright 2012 Marcin Pietrzak (marcin@iworks.pl)

this program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 */

if ( !defined( 'WPINC' ) ) {
    die;
}

class Ga_Reader_Scanner
{
    public function __construct()
    {
        add_action( 'wp_enqueue_scripts', array( &$this, 'wp_enqueue_scripts' ) );
    }

    public function wp_enqueue_scripts()
    {
        if ( !is_singular() ) {
            return;
        }
        wp_enqueue_script( __CLASS__,  plugins_url( 'ga_reader_scaner.js', __FILE__ ), array( 'jquery' ), '1.0' );
    }
}
new Ga_Reader_Scanner();

